﻿@model OsobaViewModel

@{ 
    ViewData["Title"] = "Osoba " + Model.Ime;
}

<p>
    <small>
        Ova stranica prikazuje Detail, kontakta koje osoba ima. Stranica prikazuje sve atribute tablice Kontakt.
    </small>
</p>

<div class="container">
    <div class="form-group row">
        <div class="col-sm-8">
            <h4>@Model.Oib/@Model.Ime/@Model.Prezime/@Model.NazivTvrtke/@Model.NazivFunkcije/@Model.Adresa/@Model.NazivStrucneSpreme/@Model.NazivMjesta</h4>
        </div>
    </div>
</div>

<div class="row justify-content-sm-center">
    <div class="col-sm-1 text-right">
        <a asp-action="Edit"
           asp-route-Oib="@Model.Oib"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
    </div>
    <div class="col-sm-1 text-center">
        <form asp-action="Delete" method="post"
              asp-route-page="@ViewBag.Page"
              asp-route-sort="@ViewBag.Sort"
              asp-route-ascending="@ViewBag.Ascending">
            <input type="hidden" name="Oib" value="@Model.Oib" />
            <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                <i class="fas fa-trash-alt"></i>
            </button>
        </form>
    </div>
    <div class="col-sm-1 text-left">
        <a asp-action="Index"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Povratak na popis osoba"><i class="fas fa-undo-alt"></i></a>
    </div>
</div>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Kontakt", "Tip kontakta" };
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var kontakt in Model.OsobaKontakti)
        {
            <tr>
                <td class="text-left col-sm-2">
                    @kontakt.KontaktPodatci
                </td>
                <td class="text-left col-sm-2">
                    @kontakt.NazivTipKontakta
                </td>
            </tr>
        }
    </tbody>
</table>